# -*- coding:utf-8 -*- 
# author = 'denishuang'
from __future__ import unicode_literals
from collections import OrderedDict

TYPE_EXERCISE = 1
TYPE_QUIZ = 2

CHOICES_TYPE = (
    (TYPE_EXERCISE, '练习'),
    (TYPE_QUIZ, '测验')
)

QUESTION_TYPE_SINGLE = 1
QUESTION_TYPE_MULTIPLE = 2
QUESTION_TYPE_INPUT = 3
QUESTION_TYPE_TEXTAREA = 4
QUESTION_TYPE_SENTENCE = 5
QUESTION_TYPE_CORRECT = 6
QUESTION_TYPE_JUDGE = 7
QUESTION_TYPE_SELECTINPUT = 8

CHOICES_QUESTION_TYPE = (
    (QUESTION_TYPE_SINGLE, '单选'),
    (QUESTION_TYPE_MULTIPLE, '多选'),
    (QUESTION_TYPE_JUDGE, '判断'),
    (QUESTION_TYPE_CORRECT, '判断改错'),
    (QUESTION_TYPE_SELECTINPUT, '填句补文'),
    (QUESTION_TYPE_INPUT, '填空'),
    (QUESTION_TYPE_TEXTAREA, '主观'),
    (QUESTION_TYPE_SENTENCE, '简答'),
)

MAP_QUESTION_TYPE = {
    'single': QUESTION_TYPE_SINGLE,
    'multiple': QUESTION_TYPE_MULTIPLE,
    'input': QUESTION_TYPE_INPUT,
    'textarea': QUESTION_TYPE_TEXTAREA,
    'sentence': QUESTION_TYPE_SENTENCE,
    'correct': QUESTION_TYPE_CORRECT,
    'judge': QUESTION_TYPE_JUDGE,
    'selectinput': QUESTION_TYPE_SELECTINPUT,
}

MAP_QUESTION_TYPE_NO = dict([(v, k) for k, v in MAP_QUESTION_TYPE.items()])
MAP_QUESTION_TYPE_NAME = OrderedDict([(MAP_QUESTION_TYPE_NO[k], v) for k, v in CHOICES_QUESTION_TYPE])

SUBJECTIVE_TYPES = (QUESTION_TYPE_TEXTAREA, QUESTION_TYPE_TEXTAREA)