# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-01-20 09:14
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('detail', xyz_util.modelutils.JSONField(verbose_name='\u8be6\u60c5')),
                ('seconds', models.PositiveSmallIntegerField(blank=True, default=0, help_text='\u5355\u4f4d(\u79d2)', null=True, verbose_name='\u7528\u65f6')),
                ('std_score', models.PositiveSmallIntegerField(blank=True, default=0, null=True, verbose_name='\u5206\u6570')),
                ('performance', xyz_util.modelutils.JSONField(blank=True, null=True, verbose_name='\u6210\u7ee9\u8868\u73b0')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u7528\u6237\u7b54\u5377',
                'verbose_name_plural': '\u7528\u6237\u7b54\u5377',
                'permissions': (('view_all_answer', '\u67e5\u770b\u6240\u6709\u7528\u6237\u7b54\u5377'),),
            },
        ),
        migrations.CreateModel(
            name='Fault',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question_id', models.CharField(max_length=16, verbose_name='\u9898\u53f7')),
                ('question', xyz_util.modelutils.JSONField(verbose_name='\u9898\u76ee')),
                ('times', models.PositiveSmallIntegerField(verbose_name='\u6b21\u6570')),
                ('detail', xyz_util.modelutils.JSONField(verbose_name='\u8be6\u60c5')),
                ('corrected', models.BooleanField(default=False, verbose_name='\u8ba2\u6b63')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u66f4\u65b0\u65f6\u95f4')),
            ],
            options={
                'verbose_name': '\u9519\u9898',
                'verbose_name_plural': '\u9519\u9898',
            },
        ),
        migrations.CreateModel(
            name='Paper',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='\u6807\u9898')),
                ('content', models.TextField(blank=True, help_text="\u7f16\u8f91\u6307\u5357:\n\u9996\u884c\u4e3a\u6807\u9898.\n\u9898\u578b\u7528\u4e2d\u6587\u6570\u5b57\u52a0\u70b9\u53f7\u5f00\u5934.\n\u9898\u76ee\u7528\u963f\u62c9\u4f2f\u6570\u5b57\u52a0\u70b9\u53f7\u5f00\u5934.\n\u7b54\u6848\u9009\u9879\u7528\u82f1\u6587\u5b57\u6bcd\u52a0\u70b9\u53f7\u5f00\u5934.\n\u6b63\u786e\u7b54\u6848\u7528'\u7b54\u6848:'\u5f00\u5934", null=True, verbose_name='\u5185\u5bb9')),
                ('content_object', xyz_util.modelutils.JSONField(blank=True, null=True, verbose_name='\u5185\u5bb9\u5bf9\u8c61')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('is_active', models.BooleanField(default=False, verbose_name='\u6709\u6548')),
                ('questions_count', models.PositiveSmallIntegerField(blank=True, default=0, verbose_name='\u9898\u6570')),
                ('owner_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='\u5c5e\u4e3b\u7f16\u53f7')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType', verbose_name='\u5f52\u7c7b')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='exam_papers', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'ordering': ('-is_active', 'title', '-create_time'),
                'verbose_name': '\u8bd5\u5377',
                'verbose_name_plural': '\u8bd5\u5377',
            },
        ),
        migrations.CreateModel(
            name='Performance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.PositiveSmallIntegerField(blank=True, default=0, null=True, verbose_name='\u5f97\u5206')),
                ('detail', xyz_util.modelutils.JSONField(blank=True, null=True, verbose_name='\u8be6\u60c5')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u66f4\u65b0\u65f6\u95f4')),
                ('paper', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='performances', to='exam.Paper', verbose_name='\u8bd5\u5377')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='exam_performances', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': '\u7528\u6237\u6210\u7ee9',
                'verbose_name_plural': '\u7528\u6237\u6210\u7ee9',
            },
        ),
        migrations.CreateModel(
            name='Stat',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('detail', xyz_util.modelutils.JSONField(verbose_name='\u8be6\u60c5')),
                ('paper', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, related_name='stat', to='exam.Paper', verbose_name='\u8bd5\u5377')),
            ],
            options={
                'verbose_name': '\u7edf\u8ba1',
                'verbose_name_plural': '\u7edf\u8ba1',
            },
        ),
        migrations.AddField(
            model_name='fault',
            name='paper',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='errors', to='exam.Paper', verbose_name='\u8bd5\u5377'),
        ),
        migrations.AddField(
            model_name='fault',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='exam_errors', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AddField(
            model_name='answer',
            name='paper',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='answers', to='exam.Paper', verbose_name='\u8bd5\u5377'),
        ),
        migrations.AddField(
            model_name='answer',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='exam_answers', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AlterUniqueTogether(
            name='performance',
            unique_together=set([('user', 'paper')]),
        ),
        migrations.AlterUniqueTogether(
            name='fault',
            unique_together=set([('user', 'paper', 'question_id')]),
        ),
    ]
